Debian Bug report logs - #262737
patch: Patch should preserv file ownership if possible

version graph

Package: patch; Maintainer for patch is Laszlo Boszormenyi (GCS) <gcs@debian.org>; Source for patch is src:patch.

Reported by: Goswin von Brederlow <goswin-v-b@web.de>

Date: Sun, 1 Aug 2004 19:33:05 UTC

Severity: normal

Tags: upstream

Found in versions 2.6.1-1, 2.5.9-2.0.0.1, 2.6-1

Fixed in version patch/2.6.1.85-423d-1

Done: Christoph Berg <myon@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://savannah.gnu.org/bugs/index.php?27380

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Fedrowitz <michaelf@debian.org>:
Bug#262737; Package patch. Full text and rfc822 format available.

Acknowledgement sent to Goswin Brederlow <brederlo@informatik.uni-tuebingen.de>:
New Bug report received and forwarded. Copy sent to Michael Fedrowitz <michaelf@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Goswin Brederlow <brederlo@informatik.uni-tuebingen.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: patch: Patch should preserv file ownership if possible
Date: Sun, 01 Aug 2004 21:18:58 +0200
[Message part 1 (text/plain, inline)]
Package: patch
Version: 2.5.9-2.0.0.1
Severity: normal

Hi,

patch should preserv file ownership or not (always) preserv (all) the
access flags. Here is why:

Today on irc someone mentioned
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=262607

The problem there is that patch (used by dpatch in the clean target)
changes file ownership of files to its uid/gid. After running clean as
with sudo the files then belong to root.root and the strict access
rights of the file break building the source. This 'bug' most likely
hits all sources using a patch system without the ugly tar-in-tar
approach.

Instead of working around this behaviour in all the affected sources I
propose the one line patch below to patch to fix the problem at the
root.


But there is another argument for why patch should perserv ownership
of files. Patch already preserves the permission of files, including,
but not limited to, the setuid/setgid flags. Calling patch on a file
with setuid/setgid would transfere those bits to another user/group.
Users could easily open up security holes by accidentaly transfering
those bits through patch.

MfG
	Goswin

PS: If you agree patch should preserv ownership please reassign and
merge 262607.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (x86_64)
Kernel: Linux 2.6.5-amd64
Locale: LANG=C, LC_CTYPE=de_DE

Versions of packages patch depends on:
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an

-- no debconf information
[patch_2.5.9-2.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#262737; Package patch. Full text and rfc822 format available.

Acknowledgement sent to Michael Fedrowitz <michaelf@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 262737@bugs.debian.org (full text, mbox):

From: Michael Fedrowitz <michaelf@debian.org>
To: bug-patch@gnu.org, Goswin Brederlow <brederlo@informatik.uni-tuebingen.de>, 262737@bugs.debian.org
Subject: Re: Bug#262737: patch: Patch should preserv file ownership if possible
Date: Sun, 8 Aug 2004 20:14:38 +0200
tags 262737 + upstream
forwarded 262737 bug-patch@gnu.org
thanks

On Sun, Aug 01, 2004 at 09:18:58PM +0200, Goswin Brederlow wrote:

 Hi,

> patch should preserv file ownership or not (always) preserv (all) the
> access flags. Here is why:
> 
> Today on irc someone mentioned
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=262607
> 
> The problem there is that patch (used by dpatch in the clean target)
> changes file ownership of files to its uid/gid. After running clean as
> with sudo the files then belong to root.root and the strict access
> rights of the file break building the source. This 'bug' most likely
> hits all sources using a patch system without the ugly tar-in-tar
> approach.

If it would affect a lot of packages, someone would have complained long
since. It really just affects packages with weird permissions on some
file in the tarball (600 in this case).

> Instead of working around this behaviour in all the affected sources I
> propose the one line patch below to patch to fix the problem at the
> root.

While I don't really mind applying well tested patches for bug fixes or
little feature enhancements (e.g. 2.5.9-2 has one or two patches from
SUSE and more may follow post-sarge), I'm very reluctant to apply
patches that blantantly change upstream behaviour. Especially when a) no
one else seems to ever have felt the need for such a patch and b) it's
not really clear it won't cause problems somewhere else.

To make it short: this is very unlikely to make it into the Debian
package unless Paul decides to apply it upstream.

> But there is another argument for why patch should perserv ownership
> of files. Patch already preserves the permission of files, including,
> but not limited to, the setuid/setgid flags. Calling patch on a file
> with setuid/setgid would transfere those bits to another user/group.
> Users could easily open up security holes by accidentaly transfering
> those bits through patch.

This seems rather far fetched...

-Michael



> diff -Nurd patch-2.5.9/debian/changelog patch-2.5.9.mrvn/debian/changelog
> --- patch-2.5.9/debian/changelog	2004-08-01 21:04:40.000000000 +0200
> +++ patch-2.5.9.mrvn/debian/changelog	2004-08-01 20:46:47.000000000 +0200
> @@ -1,3 +1,9 @@
> +patch (2.5.9-2.0.0.1) unstable; urgency=low
> +
> +  * Try to preserv ownership of files when patching
> +
> + -- Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>  Sun, 01 Aug 2004 20:46:02 +0200
> +
>  patch (2.5.9-2) unstable; urgency=low
>  
>    * Standards-Version 3.6.1 (no changes required).
> diff -Nurd patch-2.5.9/patch.c patch-2.5.9.mrvn/patch.c
> --- patch-2.5.9/patch.c	2003-05-20 15:55:03.000000000 +0200
> +++ patch-2.5.9.mrvn/patch.c	2004-08-01 20:45:26.000000000 +0200
> @@ -1153,6 +1153,7 @@
>    int fd = create_file (name, O_WRONLY | binary_transput | open_flags,
>  			instat.st_mode);
>    FILE *f = fdopen (fd, binary_transput ? "wb" : "w");
> +  fchown(fd, instat.st_uid, instat.st_gid);
>    if (! f)
>      pfatal ("Can't create file %s", quotearg (name));
>    return f;



Tags added: upstream Request was from Michael Fedrowitz <michaelf@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to bug-patch@gnu.org. Request was from Michael Fedrowitz <michaelf@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Fedrowitz <michaelf@debian.org>:
Bug#262737; Package patch. Full text and rfc822 format available.

Acknowledgement sent to Paul Eggert <eggert@CS.UCLA.EDU>:
Extra info received and forwarded to list. Copy sent to Michael Fedrowitz <michaelf@debian.org>. Full text and rfc822 format available.

Message #19 received at 262737@bugs.debian.org (full text, mbox):

From: Paul Eggert <eggert@CS.UCLA.EDU>
To: Michael Fedrowitz <michaelf@debian.org>
Cc: bug-patch@gnu.org, Goswin Brederlow <brederlo@informatik.uni-tuebingen.de>, 262737@bugs.debian.org
Subject: Re: Bug#262737: patch: Patch should preserv file ownership if possible
Date: Sun, 08 Aug 2004 17:48:15 -0700
I have my doubts about that proposed change to "patch".
It changes longstanding behavior, and would break POSIX compliance.

It might make sense to have a new option that enables the desired
behavior, but I can't help but wonder whether anybody would have the
energy to document and implement such an option.



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Fedrowitz <michaelf@debian.org>:
Bug#262737; Package patch. Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>:
Extra info received and forwarded to list. Copy sent to Michael Fedrowitz <michaelf@debian.org>. Full text and rfc822 format available.

Message #24 received at 262737@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
To: Paul Eggert <eggert@CS.UCLA.EDU>
Cc: Michael Fedrowitz <michaelf@debian.org>, bug-patch@gnu.org, Goswin Brederlow <brederlo@informatik.uni-tuebingen.de>, 262737@bugs.debian.org
Subject: Re: Bug#262737: patch: Patch should preserv file ownership if possible
Date: Mon, 09 Aug 2004 06:37:24 +0200
Paul Eggert <eggert@CS.UCLA.EDU> writes:

> I have my doubts about that proposed change to "patch".
> It changes longstanding behavior, and would break POSIX compliance.

Can you quote the relevant part from POSIX for thos not totaly
familiar with it?

> It might make sense to have a new option that enables the desired
> behavior, but I can't help but wonder whether anybody would have the
> energy to document and implement such an option.

Given that it is a one line fix to implemt the feature adding a few
extra lines to make it an option would be trivial. Documenting it
should also not be much work. I could try to make a patch for it.


By the way, why doesn't patch truncate the destination file and then
write the result into it instead of replacing the file?

MfG
        Goswin



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Fedrowitz <michaelf@debian.org>:
Bug#262737; Package patch. Full text and rfc822 format available.

Acknowledgement sent to Paul Eggert <eggert@CS.UCLA.EDU>:
Extra info received and forwarded to list. Copy sent to Michael Fedrowitz <michaelf@debian.org>. Full text and rfc822 format available.

Message #29 received at 262737@bugs.debian.org (full text, mbox):

From: Paul Eggert <eggert@CS.UCLA.EDU>
To: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
Cc: Michael Fedrowitz <michaelf@debian.org>, bug-patch@gnu.org, 262737@bugs.debian.org
Subject: Re: Bug#262737: patch: Patch should preserv file ownership if possible
Date: Sun, 08 Aug 2004 22:59:08 -0700
Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de> writes:

> Paul Eggert <eggert@CS.UCLA.EDU> writes:
>
>> I have my doubts about that proposed change to "patch".
>> It changes longstanding behavior, and would break POSIX compliance.
>
> Can you quote the relevant part from POSIX for thos not totaly
> familiar with it?

See <http://www.opengroup.org/onlinepubs/000095399/utilities/xcu_chap01.html>
in the table labeled "Actions when Creating a File that Already Exists".
Under "RF" (which is what applies here) the standard says.
"The user ID, group ID, and permission bits of the file shall not be changed."

> By the way, why doesn't patch truncate the destination file and then
> write the result into it instead of replacing the file?

Historical reasons.  That's the way Larry Wall wrote it originally.
I think he was worried about what would happen if "patch" failed
in the middle of writing: it would trash the file.

This behavior doesn't conform to POSIX either, though.  It should get
fixed, at least if POSIXLY_CORRECT is set.  Can you fix that while
you're in the neighborhood?



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Fedrowitz <michaelf@debian.org>:
Bug#262737; Package patch. Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>:
Extra info received and forwarded to list. Copy sent to Michael Fedrowitz <michaelf@debian.org>. Full text and rfc822 format available.

Message #34 received at 262737@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
To: Paul Eggert <eggert@CS.UCLA.EDU>
Cc: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>, Michael Fedrowitz <michaelf@debian.org>, bug-patch@gnu.org, 262737@bugs.debian.org
Subject: Re: Bug#262737: patch: Patch should preserv file ownership if possible
Date: Mon, 09 Aug 2004 10:54:36 +0200
Paul Eggert <eggert@CS.UCLA.EDU> writes:

> Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de> writes:
>
>> Paul Eggert <eggert@CS.UCLA.EDU> writes:
>>
>>> I have my doubts about that proposed change to "patch".
>>> It changes longstanding behavior, and would break POSIX compliance.
>>
>> Can you quote the relevant part from POSIX for thos not totaly
>> familiar with it?
>
> See <http://www.opengroup.org/onlinepubs/000095399/utilities/xcu_chap01.html>
> in the table labeled "Actions when Creating a File that Already Exists".
> Under "RF" (which is what applies here) the standard says.
> "The user ID, group ID, and permission bits of the file shall not be changed."

RF
  Regular file. When attempting to create a regular file, and the existing file is a regular file:

    1. The user ID, group ID, and permission bits of the file shall
       not be changed.

The current behaviour possiblychanges the UID and GID of the file
while preserving the permission bits. The patch preserves those if
possible.

    2. The file shall be truncated to zero length.

This is afaik not done but the file is actually deleted and recreated
I think. With truncation the UID and GID would be preserved too.

    3. The st_ctime and st_mtime fields shall be marked for update.

The linux kernel does that for us I guess.


>> By the way, why doesn't patch truncate the destination file and then
>> write the result into it instead of replacing the file?
>
> Historical reasons.  That's the way Larry Wall wrote it originally.
> I think he was worried about what would happen if "patch" failed
> in the middle of writing: it would trash the file.
>
> This behavior doesn't conform to POSIX either, though.  It should get
> fixed, at least if POSIXLY_CORRECT is set.  Can you fix that while
> you're in the neighborhood?

As I read it the current behaviour to trash the UID and GID is not at
all POSIX compliant and the patch fixes it.

MfG
        Goswin



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Fedrowitz <michaelf@debian.org>:
Bug#262737; Package patch. Full text and rfc822 format available.

Acknowledgement sent to Paul Eggert <eggert@CS.UCLA.EDU>:
Extra info received and forwarded to list. Copy sent to Michael Fedrowitz <michaelf@debian.org>. Full text and rfc822 format available.

Message #39 received at 262737@bugs.debian.org (full text, mbox):

From: Paul Eggert <eggert@CS.UCLA.EDU>
To: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
Cc: Michael Fedrowitz <michaelf@debian.org>, bug-patch@gnu.org, 262737@bugs.debian.org
Subject: Re: Bug#262737: patch: Patch should preserv file ownership if possible
Date: Mon, 09 Aug 2004 09:10:56 -0700
Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de> writes:

> As I read it the current behaviour to trash the UID and GID is not at
> all POSIX compliant

Correct.

> and the patch fixes it.

Only in some cases.  On most systems, it works only if you're root,
and even then it doesn't preserve any ACLs on the file.  That's not an
adequate fix.



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Fedrowitz <michaelf@debian.org>:
Bug#262737; Package patch. Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>:
Extra info received and forwarded to list. Copy sent to Michael Fedrowitz <michaelf@debian.org>. Full text and rfc822 format available.

Message #44 received at 262737@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
To: Paul Eggert <eggert@CS.UCLA.EDU>
Cc: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>, Michael Fedrowitz <michaelf@debian.org>, bug-patch@gnu.org, 262737@bugs.debian.org
Subject: Re: Bug#262737: patch: Patch should preserv file ownership if possible
Date: Mon, 09 Aug 2004 19:24:05 +0200
Paul Eggert <eggert@CS.UCLA.EDU> writes:

> Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de> writes:
>
>> As I read it the current behaviour to trash the UID and GID is not at
>> all POSIX compliant
>
> Correct.
>
>> and the patch fixes it.
>
> Only in some cases.  On most systems, it works only if you're root,
> and even then it doesn't preserve any ACLs on the file.  That's not an
> adequate fix.

If you are not root only using truncating would help. That should also
solve the ACL issue.

Would a patch be acceptable that changes patch to follow POSIX and
truncate. It might be much more invasive than just the chown line.

MfG
        Goswin



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Fedrowitz <michaelf@debian.org>:
Bug#262737; Package patch. Full text and rfc822 format available.

Acknowledgement sent to Paul Eggert <eggert@CS.UCLA.EDU>:
Extra info received and forwarded to list. Copy sent to Michael Fedrowitz <michaelf@debian.org>. Full text and rfc822 format available.

Message #49 received at 262737@bugs.debian.org (full text, mbox):

From: Paul Eggert <eggert@CS.UCLA.EDU>
To: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
Cc: Michael Fedrowitz <michaelf@debian.org>, bug-patch@gnu.org, 262737@bugs.debian.org
Subject: Re: Bug#262737: patch: Patch should preserv file ownership if possible
Date: Mon, 09 Aug 2004 14:22:17 -0700
Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de> writes:

> Would a patch be acceptable that changes patch to follow POSIX and
> truncate. It might be much more invasive than just the chown line.

That would be fine.  We should also have an option to retain the
historical behavior, though.



Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Berg <myon@debian.org>:
Bug#262737; Package patch. Full text and rfc822 format available.

Acknowledgement sent to Mario Lipinski <mario@lipinski.tk>:
Extra info received and forwarded to list. Copy sent to Christoph Berg <myon@debian.org>. Full text and rfc822 format available.

Message #54 received at 262737@bugs.debian.org (full text, mbox):

From: Mario Lipinski <mario@lipinski.tk>
To: 262737@bugs.debian.org
Subject: Problems with ACL
Date: Sun, 23 Jul 2006 21:53:43 +0200
Hello.
Sorry, the text in my last email was somehow eaten by reportbug...

I am using ACL and just noticed that ACL get lost when using patch with
on files which have acl.
I think this behaviour should be fixed.

Mario




Bug Marked as found in versions 2.6-1. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Mon, 30 Nov 2009 15:27:09 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://savannah.gnu.org/bugs/?27380' from 'bug-patch@gnu.org' Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Thu, 31 Dec 2009 18:45:03 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://savannah.gnu.org/bugs/index.php?27380' from 'https://savannah.gnu.org/bugs/?27380' Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Thu, 31 Dec 2009 18:45:07 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Goswin von Brederlow <goswin-v-b@web.de>' from 'Goswin Brederlow <brederlo@informatik.uni-tuebingen.de>' Request was from Goswin von Brederlow <goswin-v-b@web.de> to control@bugs.debian.org. (Wed, 14 Apr 2010 12:12:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Berg <myon@debian.org>:
Bug#262737; Package patch. (Thu, 29 Apr 2010 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Gruenbacher <agruen@suse.de>:
Extra info received and forwarded to list. Copy sent to Christoph Berg <myon@debian.org>. (Thu, 29 Apr 2010 17:51:03 GMT) Full text and rfc822 format available.

Message #67 received at 262737@bugs.debian.org (full text, mbox):

From: Andreas Gruenbacher <agruen@suse.de>
To: 262737@bugs.debian.org
Subject: Patch now preserves the uid, gid, and mode where possible
Date: Thu, 29 Apr 2010 19:32:46 +0200
The latest git version and snapshot now preserve the uid, gid, and file mode 
where possible, but things like ACLs, SELinux labels, etc. are still being 
lost.  Preserving those things could be added, though.

As I understand POSIX here, this bug is not fully fixable for non-privileged 
users when backup files are used: in that case, the backup file and the 
patched file would have to retain the original owner, but a non-privileged 
user cannot create files owned by somebody else.




Reply sent to Christoph Berg <myon@debian.org>:
You have taken responsibility. (Tue, 11 May 2010 09:51:04 GMT) Full text and rfc822 format available.

Notification sent to Goswin von Brederlow <goswin-v-b@web.de>:
Bug acknowledged by developer. (Tue, 11 May 2010 09:51:05 GMT) Full text and rfc822 format available.

Message #72 received at 262737-close@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 262737-close@bugs.debian.org
Subject: Bug#262737: fixed in patch 2.6.1.85-423d-1
Date: Tue, 11 May 2010 09:49:08 +0000
Source: patch
Source-Version: 2.6.1.85-423d-1

We believe that the bug you reported is fixed in the latest version of
patch, which is due to be installed in the Debian FTP archive:

patch_2.6.1.85-423d-1.diff.gz
  to main/p/patch/patch_2.6.1.85-423d-1.diff.gz
patch_2.6.1.85-423d-1.dsc
  to main/p/patch/patch_2.6.1.85-423d-1.dsc
patch_2.6.1.85-423d-1_amd64.deb
  to main/p/patch/patch_2.6.1.85-423d-1_amd64.deb
patch_2.6.1.85-423d.orig.tar.gz
  to main/p/patch/patch_2.6.1.85-423d.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 262737@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Berg <myon@debian.org> (supplier of updated patch package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 11 May 2010 09:59:01 +0200
Source: patch
Binary: patch
Architecture: source amd64
Version: 2.6.1.85-423d-1
Distribution: experimental
Urgency: low
Maintainer: Christoph Berg <myon@debian.org>
Changed-By: Christoph Berg <myon@debian.org>
Description: 
 patch      - Apply a diff file to an original
Closes: 243309 262737 274079 484539
Changes: 
 patch (2.6.1.85-423d-1) experimental; urgency=low
 .
   * New upstream snapshot.
     + Improved CR stripping heuristics: Closes: #484539.
     + Refuses to patch symlinks: Closes: #243309.
     + Preserves uid/gid/mode where possible: Closes: #262737.
     + Refuses to patch read-only files unless -f or -t are used:
       Closes: #274079.
Checksums-Sha1: 
 9234eb84c72b23efc7cc5afbd94ee9f7e5b59b27 992 patch_2.6.1.85-423d-1.dsc
 c4b6db9edd20509c4f1939f583ad8a3a4a2ea88e 742912 patch_2.6.1.85-423d.orig.tar.gz
 83d67eb80df81fb6c34be9a68a77fa682d5a9441 8175 patch_2.6.1.85-423d-1.diff.gz
 149c220465face2b13cd4b7516bbb155c0562cc8 134968 patch_2.6.1.85-423d-1_amd64.deb
Checksums-Sha256: 
 df729bd91d7a37e5844f154fdf6d2dc6c6e4b87f7cb509a19851525ab3d141c4 992 patch_2.6.1.85-423d-1.dsc
 7c7743c29b694c344b3d62e873f137079e9a6e2f31d546fbce883c540f6cad8d 742912 patch_2.6.1.85-423d.orig.tar.gz
 45f09a7d5da6a8f03e241f801829768ec3520255b2bcd25851d484600d948d3e 8175 patch_2.6.1.85-423d-1.diff.gz
 dad9e11d427995a0fc9cc9e9d576f651779b6224b8aa4724e734a56d7565652a 134968 patch_2.6.1.85-423d-1_amd64.deb
Files: 
 70cb4ef679cb805a148ee8e478a83da6 992 vcs standard patch_2.6.1.85-423d-1.dsc
 c3d1f767f389fdf4e6bab065068174e7 742912 vcs standard patch_2.6.1.85-423d.orig.tar.gz
 1407cd94040a822903a28dc2a18c1237 8175 vcs standard patch_2.6.1.85-423d-1.diff.gz
 2df89134bfc4da0a9e442a66c182b7c4 134968 vcs standard patch_2.6.1.85-423d-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvpGksACgkQxa93SlhRC1qAEgCfUgEFfh589V8/hq0btsN+rC9N
MO4An2iPlpv7G+hExXFMgdJj2TcxcXnj
=NOJJ
-----END PGP SIGNATURE-----





Bug Marked as found in versions 2.6.1-1. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Sun, 06 Feb 2011 14:42:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Jan 2013 07:26:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:59:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.